VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   2010
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7800
   LinkTopic       =   "Form1"
   ScaleHeight     =   2010
   ScaleWidth      =   7800
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdRemoveShapes 
      Caption         =   "Remove Shapes"
      Height          =   375
      Left            =   3240
      TabIndex        =   5
      Top             =   1440
      Width           =   1575
   End
   Begin VB.CommandButton cmdReplacePictures 
      Caption         =   "Replace Pictures"
      Height          =   375
      Left            =   3240
      TabIndex        =   4
      Top             =   960
      Width           =   1575
   End
   Begin VB.TextBox txtResult 
      Height          =   285
      Left            =   960
      TabIndex        =   3
      Top             =   480
      Width           =   6735
   End
   Begin VB.TextBox txtSource 
      Height          =   285
      Left            =   960
      TabIndex        =   2
      Top             =   120
      Width           =   6735
   End
   Begin VB.Label Label1 
      Caption         =   "Result File"
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   1
      Top             =   480
      Width           =   855
   End
   Begin VB.Label Label1 
      Caption         =   "Source File"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   855
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Remove Shapes and InlineShapes.
Private Sub cmdRemoveShapes_Click()
Dim word_app As Word.Application
Dim word_doc As Word.Document

    Set word_app = New Word.Application
    word_app.ChangeFileOpenDirectory App.Path
    Set word_doc = word_app.Documents.Open( _
        FileName:=txtSource.Text, _
        ConfirmConversions:=False, _
        ReadOnly:=True, _
        AddToRecentFiles:=False, _
        Format:=wdOpenFormatAuto)

    ' Delete InlineShapes.
    With word_doc.InlineShapes
        Do While .Count > 0
            .Item(1).Delete
        Loop
    End With

    ' Delete Shapes.
    With word_doc.Shapes
        Do While .Count > 0
            .Item(1).Delete
        Loop
    End With

    ' Save the file.
    word_app.ActiveDocument.SaveAs _
        FileName:=txtResult.Text, _
        AddToRecentFiles:=False

    word_app.Quit
    Set word_app = Nothing

    MsgBox "Okay"
End Sub

' Remove the pictures by replacing graphic objects.
Private Sub cmdReplacePictures_Click()
Dim word_app As Word.Application

    Set word_app = New Word.Application
    word_app.ChangeFileOpenDirectory App.Path
    word_app.Documents.Open _
        FileName:=txtSource.Text, _
        ConfirmConversions:=False, _
        ReadOnly:=True, _
        AddToRecentFiles:=False, _
        Format:=wdOpenFormatAuto

    With word_app.Selection.Find
        .ClearFormatting
        .Replacement.ClearFormatting
        .Text = "^g"
        .Replacement.Text = ""
        .Forward = True
        .Wrap = wdFindContinue
        .Format = False
        .MatchCase = False
        .MatchWholeWord = False
        .MatchWildcards = False
        .MatchSoundsLike = False
        .MatchAllWordForms = False
        .Execute Replace:=wdReplaceAll
    End With

    ' Save the file.
    word_app.ActiveDocument.SaveAs _
        FileName:=txtResult.Text, _
        AddToRecentFiles:=False

    word_app.Quit
    Set word_app = Nothing

    MsgBox "Okay"
End Sub

Private Sub Form_Load()
Dim app_path As String

    app_path = App.Path
    If Right$(app_path, 1) <> "\" Then app_path = app_path & "\"
    txtSource.Text = app_path & "HasPictures.doc"
    txtResult.Text = app_path & "NoPictures.doc"
End Sub

Private Sub Form_Resize()
Dim wid As Single

    wid = ScaleWidth - txtSource.Left - 120
    If wid < 120 Then wid = 120
    txtSource.Width = wid
    txtResult.Width = wid
    cmdReplacePictures.Left = (ScaleWidth - cmdReplacePictures.Width) / 2
    cmdRemoveShapes.Left = cmdReplacePictures.Left
End Sub


